LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-31-2001, 01:27 PM   #1
Revenger
LQ Newbie
 
Registered: Jul 2001
Posts: 14

Rep: Reputation: 0
Logitech Quickcam Express & Kernel 2.2.19


I got a new Logitech Webcam Express but i have problems with installing it to debian linux 2.2R3
Kernel 2.2.19


the way i tried to install it:

debian:/qce-ga-0.40b# make
cc -I/usr/src/linux/drivers/usb -I/usr/src/linux/include -include /usr/src/linux/include/linux/config.h -O3 -Wall -Wstrict-prototypes -fomit-frame-pointer -pipe -DMODULE -D__KERNEL__ -c quickcam.c
cc -I/usr/src/linux/drivers/usb -I/usr/src/linux/include -include /usr/src/linux/include/linux/config.h -O3 -Wall -Wstrict-prototypes -fomit-frame-pointer -pipe -DMODULE -D__KERNEL__ -c hdcs.c
cc -I/usr/src/linux/drivers/usb -I/usr/src/linux/include -include /usr/src/linux/include/linux/config.h -O3 -Wall -Wstrict-prototypes -fomit-frame-pointer -pipe -DMODULE -D__KERNEL__ -c pb0100.c
cc -I/usr/src/linux/drivers/usb -I/usr/src/linux/include -include /usr/src/linux/include/linux/config.h -O3 -Wall -Wstrict-prototypes -fomit-frame-pointer -pipe -DMODULE -D__KERNEL__ -c yuv.c
ld -r -o mod_quickcam.o quickcam.o hdcs.o pb0100.o yuv.o
debian:/qce-ga-0.40b#



debian:/qce-ga-0.40b# insmod quickcam.o
quickcam.o: kernel-module version mismatch
quickcam.o was compiled for kernel version 2.2.18
while this kernel is version 2.2.19.
debian:/qce-ga-0.40b#


debian:/qce-ga-0.40b# ls /usr/src
kernel-source-2.2.19 kernel-source-2.2.19.tar.bz2 linux
debian:/qce-ga-0.40b#


cant i read or isnt this the 2.2.19 kernel? i installed the sources from the first debian cd...


anyone know how to solve that problem?
 
Old 07-31-2001, 02:19 PM   #2
jharris
Senior Member
 
Registered: May 2001
Location: Bristol, UK
Distribution: Slackware, Fedora, RHES
Posts: 2,243

Rep: Reputation: 46
Whats reported when you run uname -a as to the kernel version?

cheers

Jamie...
 
Old 07-31-2001, 03:05 PM   #3
Revenger
LQ Newbie
 
Registered: Jul 2001
Posts: 14

Original Poster
Rep: Reputation: 0
it shows up
Linux debian 2.2.19 #1 Sun Apr 8 13:42... i86 unknown

strange isnt it?!
 
Old 07-31-2001, 03:20 PM   #4
jharris
Senior Member
 
Registered: May 2001
Location: Bristol, UK
Distribution: Slackware, Fedora, RHES
Posts: 2,243

Rep: Reputation: 46
Did the module come with a configure script? If so I'd check to see if that's getting the right kernel version. It might be getting it wrong (dunno how!) and hardcoding 2.2.18 into the module. Buy yeah - very strange! Where did you get the module BTW - I've got a quickcam that ins't supported by the latest kernel hence I be ineterested in getting that module.

cheers

Jamie...
 
Old 07-31-2001, 03:54 PM   #5
Revenger
LQ Newbie
 
Registered: Jul 2001
Posts: 14

Original Poster
Rep: Reputation: 0
hmm it seems another ppl have the same problems.. must be a bug somewhere

i got it at www.sourceforge.net
Just search for logitech and you'll may find your requested driver.. not all logitech cams are supported right now...

im gonna check the sources.. hope my medium knowledgement about programming will help me..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Logitech Quickcam Express on Debian DeLucas Linux - Hardware 4 01-27-2009 12:18 AM
logitech quickcam express on fc3 cyanide_2 Linux - Hardware 5 03-29-2005 09:27 AM
Logitech QuickCam Express driver Sumit Rajan Linux - Hardware 1 01-30-2004 05:23 AM
Camserv and Logitech Quickcam Express Infinity Linux - Software 4 10-07-2003 12:05 AM
Logitech Quickcam Express and mod_quickcam.o Infinity Linux - General 3 10-18-2001 09:03 AM


All times are GMT -5. The time now is 08:51 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration